get_offer
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id}/offer \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}/offer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}/offer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"offer": {
"id": "7d4e3c2b-1a09-8765-4321-0fedcba98765",
"status": "pending",
"body_markdown": "We would like to offer you Staff engineer.",
"pay": "$185,000",
"start_date": "2026-10-13",
"notes": "Team is in New York.",
"offer_url": "https://apply.hotfix.jobs/offer/example",
"accepted_as": null,
"expires_at": null,
"created_at": "2026-09-21T15:04:05+00:00"
},
"default_body": "We would like to offer you the role."
}Offers
get_offer
The latest offer on one application. offer_url is set only while it is pending. Does not email anyone. MCP tool: get_offer. When there is no offer, offer is null.
GET
/
v1
/
employer
/
applications
/
{application_id}
/
offer
get_offer
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/applications/{application_id}/offer \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/applications/{application_id}/offer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/applications/{application_id}/offer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"offer": {
"id": "7d4e3c2b-1a09-8765-4321-0fedcba98765",
"status": "pending",
"body_markdown": "We would like to offer you Staff engineer.",
"pay": "$185,000",
"start_date": "2026-10-13",
"notes": "Team is in New York.",
"offer_url": "https://apply.hotfix.jobs/offer/example",
"accepted_as": null,
"expires_at": null,
"created_at": "2026-09-21T15:04:05+00:00"
},
"default_body": "We would like to offer you the role."
}